This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 209082 - Added factory methods to create an ElementHandle from binary name
Summary: Added factory methods to create an ElementHandle from binary name
Status: RESOLVED FIXED
Alias: None
Product: java
Classification: Unclassified
Component: Source (show other bugs)
Version: 7.2
Hardware: All All
: P3 normal (vote)
Assignee: Tomas Zezula
URL:
Keywords: API, API_REVIEW_FAST
Depends on:
Blocks:
 
Reported: 2012-03-02 09:00 UTC by Tomas Zezula
Modified: 2012-03-15 12:30 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
Exception Reporter:


Attachments
Diff file (6.67 KB, patch)
2012-03-02 09:06 UTC, Tomas Zezula
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2012-03-02 09:00:24 UTC
Added factory methods to create an ElementHandle for package and type from a binary name. Currently an Element is needed to create an ElementHandle. Several APIs require ElementHandles. The API client who starts with a package (type) fqn or binary name needs to resolve an Element using javac Elements to create an ElementHandle. The elements resolution adds a non needed performance overhead. The newly added methods remove the overhead.
Comment 1 Tomas Zezula 2012-03-02 09:06:26 UTC
Created attachment 116278 [details]
Diff file
Comment 2 Dusan Balek 2012-03-02 10:58:44 UTC
The attached patch seems to be OK.
Comment 3 Tomas Zezula 2012-03-13 09:20:20 UTC
Fixed jet-main ef82400cf02f
Comment 4 Quality Engineering 2012-03-15 12:30:23 UTC
Integrated into 'main-golden', will be available in build *201203150400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/ef82400cf02f
User: Tomas Zezula <tzezula@netbeans.org>
Log: #209082:Added factory methods to create an ElementHandle from binary name